Subject: bug#5235: 23.1; Unibyte keyboard input problem

From: Tomasz Zbrożek <[email-masked]>
Date: Sun, 27 Dec 2009 14:30:47 +0100

Eli, it looks your patch works OK :D But...
On the default polish environment setting (latin-2), when I have -*- coding: 
cp1250 -*- in my file and when I try to save file with your feature I get 
such a message in minibuffer:

Selected encoding iso-latin-2-unix disagrees with windows-1250-unix specified 
by file contents.  Really save (else edit coding cookies and try again)? (yes 
or no) 

when I press yes the coding is gibberish in saved file.

If I use modify-coding-system-alist instead of "-*- coding:" result is the 
same, I mean gibberish but there is no question.

But when I change a little bit language enviroment to:

 '(language-info-custom-alist (quote (("Polish" (coding-priority cp1250)))))

then everything is OK and your patch works fine (no question when saving and 
coding is ok)! In this case I do not need to specify coding with "-*- 
coding:" or modify-coding-system-alist.